
CoCoALib - Bug #935

ElimMat, ElimHomogMat: complain about zero or negative weights

03 Oct 2016 17:28 - John Abbott

Status: Closed Start date: 03 Oct 2016

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Safety Estimated time: 0.99 hour

Target version: CoCoALib-0.99700 Spent time: 0.95 hour

Description

The fns ElimMat and ElimHomogMat should give error if the user supplies weights are not strictly positive (integers?)

History

#1 - 03 Oct 2016 17:29 - John Abbott

It seems that the weights must be integer.  This should be documented!

#2 - 08 Nov 2017 16:52 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#3 - 14 Jun 2018 16:16 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

What is the status of this issue?

What do we allow as "grading matrices"?

Current code requires entries to be integer (but allows matrix over QQ or any ring of char 0?!?)

Should a grading mat with 0 rows be allowed?  If so, where?

#4 - 14 Jun 2018 17:28 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

Anna says that ElimMat should allow a grading mat with 0 rows, but ElimHomogMat should not.

I have adjusted the code accordingly.

#5 - 06 Aug 2018 16:12 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

Decide what we really want for these two functions.

They are mostly OK.

#6 - 03 Oct 2019 17:08 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700
Now I cannot remember WHY they should complain....

postpone to next version

#7 - 13 Feb 2020 10:30 - John Abbott

- Subject changed from ElimMat, ELimHomogMat: complain about zero or negative weights to ElimMat, ElimHomogMat: complain about zero or

negative weights

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.99 h

The code calls IsNonNegGrading  (see MatrixForOrdering.C around lines 959 and 973).

I presume IsNonNegGrading does a sane check.
